#!/usr/bin/env python

import commands
import pygtk
import sys
pygtk.require('2.0')

import gnomeapplet
import gtk
import subprocess

num = 0
button = gtk.Button()

def factory(applet, iid):
        global button
        button.set_relief(gtk.RELIEF_NONE)
        button.set_label("UbuntuWin TV")
        image = gtk.Image()
        image.set_from_file("/usr/share/icons/gnome/16x16/categories/gnome-multimedia.png")
        button.set_image(image)
        button.connect("button_press_event", showMenu, applet)
        applet.add(button)
        applet.show_all()
        return True

def on_button_clicked(button, *args):
        global num
        if (num%2==0):
                image = gtk.Image()
                image.set_from_file("/usr/share/icons/gnome/48x48/devices/gnome-dev-floppy-red.png")
                button.set_image(image)
                button.set_label("")
        else:
                image = gtk.Image()
                image.set_from_file("/usr/share/icons/gnome/48x48/devices/gnome-dev-floppy-green.png")
                button.set_image(image)
                button.set_label("")
        num=num+1

def about(*arguments, **keywords):
	subprocess.Popen("zenity --info --title='About TVLIVE' --text='@2009 Palumbo Roberto.\nE-Mail: palumborobertomail@gmail.com\nWebsite: ubuntuwin.altervista.org'",shell=True)
	
def create_menu(applet):
	propxml="""
			<popup name="button3">
			<menuitem name="bbb" verb="About" label="About"/>
			<menuitem name="bbb" verb="About" label="Aggiornamenti su: ubuntuwin.altervista.org"/>
			</popup>"""
	verbs = [("About", about)]
	applet.setup_menu(propxml, verbs, None)
		
	
def showMenu(widget, event, applet):
	if event.button == 1:
		f = open ('/etc/canali.txt','r')
		canali = f.readlines()
		f.close()
		i = 1
		menu = []
		for str in canali:
			(nome,indirizzo)=str.split('#')
			menu.append((nome,indirizzo))
		menu.sort()
		createAndShowMenu(event, menu)
	if event.button == 3:
		widget.emit_stop_by_name("button_press_event")
		create_menu(applet)
		
def scegli(widget,parametro):
	global button
	global num
	num=num+1
	subprocess.Popen("vlc "+parametro,shell=True)
def createAndShowMenu(event, menuItems):
	menu = gtk.Menu()

	for menuItem in menuItems:
		item = gtk.ImageMenuItem(menuItem[0], True)
		item.show()
		item.connect( "activate", scegli,menuItem[1])
		menu.add(item)
	menu.popup( None, None, None, event.button, event.time )


def showAboutDialog(*arguments, **keywords):
        pass

if len(sys.argv) == 2:
        if sys.argv[1] == "run-in-window":
                mainWindow = gtk.Window(gtk.WINDOW_TOPLEVEL)
                mainWindow.set_title("TVLIVE")
                mainWindow.connect("destroy", gtk.main_quit)
                applet = gnomeapplet.Applet()
                factory(applet, None)
                applet.reparent(mainWindow)
                mainWindow.show_all()
                gtk.main()
                sys.exit()

if __name__ == '__main__':
        print "Starting UbuntuwinTV"
        gnomeapplet.bonobo_factory("OAFIID:UbuntuwinTV_Factory", gnomeapplet.Applet.__gtype__, "UbuntuwinTV", "1.0", factory)
